## pd-fftease 2.5.2.git20121005

=== Makefile ===
## Pd library template version 1.0.13
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = fftease

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = bthresher~.c burrow~.c cavoc27~.c cavoc~.c centerring~.c codepend~.c crossx~.c dentist~.c disarrain~.c disarray~.c drown~.c ether~.c leaker~.c mindwarp~.c morphine~.c multyq~.c presidency~.c pvcompand~.c pvgrain~.c pvharm~.c pvoc~.c pvtuner~.c pvwarp~.c reanimator~.c resent~.c residency~.c scrape~.c shapee~.c swinger~.c taint~.c thresher~.c vacancy~.c xsyn~.c


# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = ampdb.pd fftease-system.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = 13et.scale 24et.scale 4th.scale blue3.scale m3chord.scale m3M3.scale octfifth.scale Piano.aif scale1.pl scale2.pl scale3.pl scale4.pl scale5.pl scale6.pl scale7.pl test.scale

# manuals and related files, in the 'manual' subfolder
MANUAL = code-notes.rtf

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = fftease.h MSPd.h PenroseOscil.h PenroseRand.h pvtuner.h residency_buffer~.c

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 


# added to support the multiple shared source files
SHARED_SOURCE = bloscbank.c convert.c fft4.c fft.c fftease_setup.c fold.c leanconvert.c leanunconvert.c limit_fftsize.c makewindows.c overlapadd.c PenroseOscil.c PenroseRand.c power_of_two.c qsortE.c unconvert.c
SHARED_LIB = lib$(LIBRARY_NAME).$(SHARED_EXTENSION)


#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = 


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" \
	-lpd -lwsock32 -lkernel32 -luser32 -lgdi32 -liberty $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o lib$(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) \
		$(LIBRARY_NAME).o lib$(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(SHARED_LIB))" || \
		$(INSTALL_DATA) $(SHARED_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SHARED_TCL_LIB))" || \
		$(INSTALL_DATA) $(SHARED_TCL_LIB) \

=== debian/changelog ===
pd-fftease (2.5.2.git20121005-2) unstable; urgency=medium

  * Removed acknowledgements from long description
  * Simplified & unified d/rules
    * Enabled hardening
    * Bumped dh compat to 11
    * Link against -lm
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Added myself to Uploaders
  * Updated d/copyright(_hints)
    * Use 'Expat' as short license name
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:03:51 +0100

pd-fftease (2.5.2.git20121005-1) unstable; urgency=low

  * Initial release (Closes: #689736)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 28 Dec 2012 21:27:55 -0500

=== debian/control ===
Source: pd-fftease
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
Standards-Version: 4.1.3
Homepage: http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/MaxMSP/FFTease/
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-fftease.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-fftease

Package: pd-fftease
Architecture: any
Depends:
 ${shlibs:Depends},
 puredata-core | pd,
 pd-libdir,
 ${misc:Depends},
Recommends:
 pd-import,
Suggests:
 perl,
Description: live spectral sound processors for Pd
 FFTease is a collection of Pd objects implementing various forms of
 spectral sound processing. These include an additive-synthesis phase vocoder,
 noise reduction, cross synthesis, and more unusual forms of spectral
 processing.
 .
  * bthresher~ similar to thresher~ but with more control
  * burrow~ a cross-referenced filtering object
  * cavoc~ an 8-rule cellular automata that generates spectra
  * cavoc27~ a 27-rule cellular automata object
  * centerring~ a spectral modulation object
  * codepend~ a classic block convolution object
  * crossx~ a cross synthesis object with gating
  * dentist~ a partial knockout object
  * disarrain~ an interpolating version of disarray~
  * disarray~ a spectral redistribution object
  * drown~ a noise reduction (or increase) object
  * ether~ another spectral compositing object
  * leaker~ a sieve-based cross fader
  * mindwarp~ a spectral formant warping object
  * morphine~ a morphing object
  * multyq~ a four band filter
  * presidency~ a spectral sampler with pitch control
  * pvcompand~ a spectral compressor/expander object
  * pvgrain~ a spectrum analyzer for granular resynthesis
  * pvharm~ a harmonizer
  * pvoc~ an additive synthesis phase vocoder
  * pvtuner~ a spectrum quantizer for tuning to arbitrary scales
  * pvwarp~ a non-linear frequency warper
  * reanimator~ an audio texture mapper
  * resent~ similar to residency~ but with independent bin control
  * residency~ a spectral sampler useful for time scaling
  * residency_buffer~ a spectral sampler that writes to an MSP buffer
  * scrape~ a noise reduction (or increase) object with frequency control
  * shapee~ a frequency shaping object
  * swinger~ a phase swapping object
  * taint~ a cross synthesis object
  * thresher~ an amplitude/frequency sensitive gating object
  * vacancy~ a spectral compositing object
  * xsyn~ a cross synthesis with compression object
 .
 FFTease 2.5 objects will reconfigure themselves in response to changes in FFT
 size or signal vector size. Therefore, they may now be used in MaxMSP poly~
 objects with downsampling or upsampling. Changes in vector size remain
 subject to limitations imposed by the current poly~ (and Pluggo)
 architecture.
 .
 Caveat: these objects are CPU intensive. A few of these objects in a patch
 could push your computer to its limits. Be very careful with playback volume
 as some of the objects produce dramatically different (lower or higher)
 overall levels.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./examples/.*\.aif$

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,-as-needed -lm" \
		$(empty)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
# clean up included example scripts
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pl" -exec \
		chmod +x {} +
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pl" -exec \
		sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' {} ";"
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=3
https://sf.net/pure-data/fftease-(.*)\.tar\.gz

## pd-fftease 3.0.1

=== Makefile ===
# Makefile to build the 'fftease' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = fftease

# sources for the shared library
shared.sources = \
	bloscbank.c \
	convert.c \
	fft.c \
	fft4.c \
	fftease_setup.c \
	fftease_utilities.c \
	fold.c \
	leanconvert.c \
	leanunconvert.c \
	limit_fftsize.c \
	limited_oscbank.c \
	makewindows.c \
	oscbank.c \
	overlapadd.c \
	PenroseOscil.c \
	PenroseRand.c \
	power_of_two.c \
	unconvert.c \
	$(empty)

# sources for the objectclasses
class.sources = \
	bthresher~.c \
	burrow~.c \
	cavoc~.c \
	cavoc27~.c \
	centerring~.c \
	codepend~.c \
	cross~.c \
	dentist~.c \
	disarrain~.c \
	disarray~.c \
	drown~.c \
	enrich~.c \
	ether~.c \
	leaker~.c \
	mindwarp~.c \
	morphine~.c \
	multyq~.c \
	pileup~.c \
	pvcompand~.c \
	pvgrain~.c \
	pvharm~.c \
	pvoc~.c \
	pvtuner~.c \
	pvwarp~.c \
	pvwarpb~.c \
	reanimator~.c \
	resent~.c \
	residency~.c \
	residency_buffer~.c \
	schmear~.c \
	scrape~.c \
	shapee~.c \
	swinger~.c \
	taint~.c \
	thresher~.c \
	vacancy~.c \
	xsyn~.c \
	$(empty)

# extra files
datafiles = \
	$(wildcard fftease-helpfiles/*.pd) \
	LICENSE.txt \
	README.md \
	fftease-meta.pd \
	lyonpotpourri-meta.pd \
	smap.pd \
	collect.pl \
	$(empty)
# extra dirs
datadirs = sound \
	$(empty)

# include the actual build-system
PDLIBBUILDER_DIR=pd-lib-builder
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== pd-lib-builder/tests/_template_/Makefile ===
# Makefile to build class '_template_' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = _template_

# input source file (class name == source file basename)
class.sources = _template_.c

# all extra files to be included in binary distribution of the library
datafiles = _template_-help.pd _template_-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e _template_.$(extension)
installcheck: install
	test -e $(installpath)/_template_.$(extension)

=== pd-lib-builder/tests/multishared/Makefile ===
# Makefile to build class 'multishared' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = multishared

# common functions
shared.sources = shared.c

# input source file (class name == source file basename)
class.sources = multisharedA.c multisharedB.c

# all extra files to be included in binary distribution of the library
datafiles = multishared-help.pd multishared-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
ifeq ($(shared.extension), $(extension))
	test -e lib$(lib.name).$(shared.extension)
else
	test -e lib$(lib.name).$(extension).$(shared.extension)
endif
	test -e multisharedA.$(extension)
	test -e multisharedB.$(extension)
installcheck: install
ifeq ($(shared.extension), $(extension))
	test -e $(installpath)/lib$(lib.name).$(shared.extension)
else
	test -e $(installpath)/lib$(lib.name).$(extension).$(shared.extension)
endif
	test -e $(installpath)/multisharedA.$(extension)
	test -e $(installpath)/multisharedB.$(extension)
	test -e $(installpath)/multishared-help.pd
	test -e $(installpath)/multishared-meta.pd

=== pd-lib-builder/tests/single/Makefile ===
# Makefile to build class 'single' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = single

# input source file (class name == source file basename)
class.sources = single.c

# all extra files to be included in binary distribution of the library
datafiles = single-help.pd single-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e single.$(extension)
installcheck: install
	test -e $(installpath)/single.$(extension)

=== debian/changelog ===
pd-fftease (3.0.1-8) unstable; urgency=medium

  * Fix FTBFS with gcc-15 (Closes: #1097563)
  * Update git repository layout to follow DEP-14
  * Update d/watch to version 5
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 10:29:14 +0200

pd-fftease (3.0.1-7) unstable; urgency=medium

  * Patch to fix compilation with Pd64 (Closes: #1073336)
  * Add puredata:Recommends and puredata:Provides
  * Switch to dh-sequence-puredata
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 11:03:55 +0200

pd-fftease (3.0.1-6) unstable; urgency=medium

  * Patch to use pd_error() instead of error() (Closes: #1066650)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 16 Mar 2024 22:45:33 +0100

pd-fftease (3.0.1-5) unstable; urgency=medium

  * Re-build for both single and double-precision Pd
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 14:05:45 +0200

pd-fftease (3.0.1-4) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Modernize 'licensecheck' target
    + Exclude sound/Piano.aif from licensecheck
    + Regenerate d/licensecheck_hints without binary data

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:40:57 +0100

pd-fftease (3.0.1-3) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Drop useless Suggests:perl
  * Keep upstream LICENSE.txt
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Modernize lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 25 Nov 2022 14:43:22 +0100

pd-fftease (3.0.1-2) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:37:12 +0200

pd-fftease (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

  [ IOhannes m zmölnig ]
  * Use system-provided pd-lib-builder buildsystem (Closes: #948094)
  * Update d/watch to new upstream repository
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Removed Hans-Christoph Steiner from Uploaders as he requested
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Aug 2021 17:05:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Hans-Christoph Steiner <hans@eds.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
- puredata-dev | puredata (<< 0.43),
-Standards-Version: 4.1.3
+ debhelper-compat (= 13),
+ dh-sequence-puredata,
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/MaxMSP/FFTease/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-fftease.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-fftease
@@ -16,14 +16,15 @@
 Package: pd-fftease
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- puredata-core | pd,
- pd-libdir,
- ${misc:Depends},
 Recommends:
- pd-import,
+ ${puredata:Recommends},
 Suggests:
- perl,
+ ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: live spectral sound processors for Pd
  FFTease is a collection of Pd objects implementing various forms of
  spectral sound processing. These include an additive-synthesis phase vocoder,

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018-2022 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|manual/.*\.png|sound/Piano\.aif
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
Version: 5

# Run the "uscan" command to check for upstream updates and more.
Template: Github
Owner: ericlyon
Project: pd-fftease
Dversionmangle: auto
Uversionmangle: s/-(alpha|beta)/~$1/
